Update trip
Update a trip (setting its name, driver, etc.).
curl --request PUT \
--url https://ctechnology.io/api/v2.2/trip/{trip_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"deleted": true,
"validation_score": 123,
"name": "<string>",
"driver": "<string>",
"notes": "<string>",
"fuel_manual_lt": 123,
"is_liked_by_me": true
}
'import requests
url = "https://ctechnology.io/api/v2.2/trip/{trip_id}"
payload = {
"deleted": True,
"validation_score": 123,
"name": "<string>",
"driver": "<string>",
"notes": "<string>",
"fuel_manual_lt": 123,
"is_liked_by_me": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deleted: true,
validation_score: 123,
name: '<string>',
driver: '<string>',
notes: '<string>',
fuel_manual_lt: 123,
is_liked_by_me: true
})
};
fetch('https://ctechnology.io/api/v2.2/trip/{trip_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"data": {
"id": "<string>",
"vehicle_id": "<string>",
"timestamp_start": "2023-11-07T05:31:56Z",
"timestamp_end": "2023-11-07T05:31:56Z",
"completed": true,
"deleted": true,
"valid": true,
"validation_score": 123,
"name": "<string>",
"driver": "<string>",
"image_rect_url": "<string>",
"speed_max": 123,
"speed_avg": 123,
"distance_tot": 123,
"distance_tot_gps": 123,
"duration_tot": 123,
"duration_cruising": 123,
"battery_start_level_volt": 123,
"battery_end_level_volt": 123,
"num_likes": 123,
"timestamp_original_start": "2023-11-07T05:31:56Z",
"timestamp_original_end": "2023-11-07T05:31:56Z",
"on_land": true,
"notes": "<string>",
"fuel_manual_lt": 123,
"distance_tot_can": 123,
"distance_tot_odo": 123,
"fuel_start_level_pct": 123,
"fuel_start_level_lt": 123,
"fuel_most_recent_pct": 123,
"fuel_most_recent_vlt": 123,
"fuel_used_pct": 123,
"fuel_used_lt": 123,
"fuel_num_refueled": 123,
"fuel_refueled_pct": 123,
"fuel_refueled_lt": 123,
"fuel_avg_lt_per_100km": 123,
"fuel_avg_pct_per_100km": 123,
"start_energy_available_ah": 123,
"end_energy_available_ah": 123,
"continuous_energy_consumption_ah": 123,
"start_energy_available_wh": 123,
"end_energy_available_wh": 123,
"continuous_energy_consumption_wh": 123,
"start_energy_available_pct": 123,
"end_energy_available_pct": 123,
"continuous_energy_consumption_pct": 123,
"n2k_operation_hours_tot": 123,
"can_fuel_consumption_avg": 123,
"can_fuel_consumption_max": 123,
"can_fuel_consumption_tot": 123,
"can_rpm_max": 123,
"can_rpm_avg": 123,
"is_liked_by_me": true
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Path Parameters
ID of trip to update.
Body
A single trip performed by a vehicle.
If this trip was deleted (by a user).
A score in [0, 1] that describes the likelihood of this trip being valid. 1 means we are 100% confident this is a real trip, 0 means we are 100% confident this is not a real trip, but GPS / sensor noise.
The (user-given) name of this trip.
The (user-given) driver name of this trip.
(User-added) notes of this trip. Formatted using Markdown.
The amount the vehicle was refueled on this trip, as manually set by a user, in l (may be over 100%).
The visibility of this trip, e.g., if it is shared with the public or certain organizations, or kept for the user him-/herself.
PUBLIC, PRIVATE If the trip can be liked (is public or similar), this attribute is a short-hand to know if the currently logged in user him-/herself liked the trip.

